Page MenuHomePhabricator

Deprecate "revertededits" in favour of "reverted"
Closed, ResolvedPublic

Description

Per discussion in https://phabricator.wikimedia.org/T231590#5564599 we're going to make the types of edit counts identical to the filters on history.

So, we need to have reverted be a synonym for revertededits, and we need to deprecate the revertededits version.

Event Timeline

Change 546197 had a related patch set uploaded (by BPirkle; owner: BPirkle):
[mediawiki/core@master] Rename/deprecate some REST history count types

https://gerrit.wikimedia.org/r/546197

BPirkle claimed this task.Oct 25 2019, 3:27 PM
BPirkle added a subscriber: Pchelolo.
BPirkle updated the task description. (Show Details)Oct 25 2019, 3:58 PM

Change 546197 merged by jenkins-bot:
[mediawiki/core@master] Rename/deprecate some REST history count types

https://gerrit.wikimedia.org/r/546197

apaskulin updated the task description. (Show Details)Oct 30 2019, 6:21 PM
BPirkle updated the task description. (Show Details)Oct 30 2019, 10:12 PM

Change 547340 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/tools/api-testing@master] Rename REST history count types

https://gerrit.wikimedia.org/r/547340

Change 547340 merged by jenkins-bot:
[mediawiki/tools/api-testing@master] Rename REST history count types

https://gerrit.wikimedia.org/r/547340

eprodromou closed this task as Resolved.Mar 11 2020, 6:22 PM

This is done. Thanks, all.